<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
  (confirm)="consultActivity()"
>
  <sqtm-core-dialog-body>
    <div class="full-height full-width overflow-y-auto overflow-x-auto">
      <div class="flex-row body-content m-t-5">
        <i
          nz-icon
          class="alert-icon anticon"
          nzType="exclamation-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#FAAD14'"
        ></i>
        <span class="m-10"
          >{{
            'sqtm-core.campaign-workspace.exploratory-session-overview.dialog.access-execution-warning'
              | translate
          }}
        </span>
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'consult-activity'"
      nz-button
      nzType="primary"
      (click)="consultActivity()"
    >
      {{
        'sqtm-core.campaign-workspace.exploratory-session-overview.dialog.consult-activity'
          | translate
      }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'access-running-execution'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      (click)="accessExecution()"
    >
      {{
        'sqtm-core.campaign-workspace.exploratory-session-overview.dialog.access-execution'
          | translate
      }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
